MediaSize.Engineering (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.MediaSize.Engineering class
Date: 2026-04-24

javax.print.attribute.standard

## Class MediaSize.Engineering

- java.lang.Object
- - javax.print.attribute.standard.MediaSize.Engineering

- Enclosing class:
    MediaSize

      public static final class MediaSize.Engineering
      extends Object

  Class MediaSize.Engineering includes `MediaSize` values for engineering media.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MediaSize` | `A` Specifies the engineering A size, 8.5 inch by 11 inch.
    `static MediaSize` | `B` Specifies the engineering B size, 11 inch by 17 inch.
    `static MediaSize` | `C` Specifies the engineering C size, 17 inch by 22 inch.
    `static MediaSize` | `D` Specifies the engineering D size, 22 inch by 34 inch.
    `static MediaSize` | `E` Specifies the engineering E size, 34 inch by 44 inch.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### A

          public static final MediaSize A

      Specifies the engineering A size, 8.5 inch by 11 inch.

    - #### B

          public static final MediaSize B

      Specifies the engineering B size, 11 inch by 17 inch.

    - #### C

          public static final MediaSize C

      Specifies the engineering C size, 17 inch by 22 inch.

    - #### D

          public static final MediaSize D

      Specifies the engineering D size, 22 inch by 34 inch.

    - #### E

          public static final MediaSize E

      Specifies the engineering E size, 34 inch by 44 inch.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.